﻿@model PlanoviNabaveViewModel

@{
    ViewData["Title"] = "Planovi nabava";
}

<h1>Planovi nabava</h1>
<p>
    <small>
        Ova stranica prikazuje Master (složeni tablični prikaz). Za pregled detalja (popisa stavki određenog plana nabave) odabire se Id plana nabave, koji je ujedno i link. Također je implementirano i sortiranje i straničenje na serveru. Nakon ažuriranja i brisanja vraća se na istu stranicu s istim sortiranjem. Sortiranje funkcionira pritiskom na određeni naslov stupca te se dvostrukim pritiskom mijenja uzlazno-silazno sortiranje. Pritiskom gumba delete otvara se popup dijalog kojim se pita korisnika je li siguran da želi obrisati određeni podatak. Omogućeni su i stvaranje novog plana nabave pritiskom na "Stvori novi plan nabave", te uređivanje postojećeg plana pritiskom na gumb Uredi. Umjesto stranog ključa FK-TvrtkaOIB prikazuje se Naziv tvrtke.
    </small>
</p>

<a asp-action="Create">Stvori novi plan nabave</a>

<pager page-info="@Model.PagingInfo" page-title="Unesite željenu stranicu" page-action="Index2" class="float-right"></pager>

<table class="table table-sm table-striped table-hover">
    <thead>
        <tr>
            @{
                string[] nazivi = { "Id", "Naziv", "Naziv tvrtke" };
                for (int i = 1; i <= nazivi.Length; i++)
                {
                    <th>
                        <a asp-route-sort="@i"
                           asp-route-page="@Model.PagingInfo.CurrentPage"
                           asp-route-ascending="@(Model.PagingInfo.Sort == i ? !Model.PagingInfo.Ascending : true)">@nazivi[i - 1]</a>
                    </th>
                }
            }
            <th></th>
        </tr>
    </thead>

    <tbody>
        @foreach (var plan in Model.Planovi)
        {
            <tr>
                <td class="text-left">
                    <a asp-action="Show2"
                       asp-route-Id="@plan.Id"
                       asp-route-page="@Model.PagingInfo.CurrentPage"
                       asp-route-sort="@Model.PagingInfo.Sort"
                       asp-route-ascending="@Model.PagingInfo.Ascending">
                        @plan.Id
                    </a>
                </td>
                <td class="text-left">@plan.Naziv</td>
                <td class="text-left">@plan.NazivTvrtke</td>
                <td class="text-left">
                    @foreach (var stavka in plan.Stavke)
                    {
                        @stavka.PredmetNabave
                        <br />
                    }
                </td>
                <td class="btn-group">
                    <a asp-action="Edit2"
                       asp-route-id="@plan.Id"
                       asp-route-page="@Model.PagingInfo.CurrentPage"
                       asp-route-sort="@Model.PagingInfo.Sort"
                       asp-route-ascending="@Model.PagingInfo.Ascending"
                       class="btn btn-sm" title="Ažuriraj">
                        <i class="fas fa-edit"></i>
                    </a>
                    <form asp-action="Delete" method="POST"
                          asp-route-page="@Model.PagingInfo.CurrentPage"
                          asp-route-sort="@Model.PagingInfo.Sort"
                          asp-route-ascending="@Model.PagingInfo.Ascending">
                        <input type="hidden" name="Id" value="@plan.Id" />
                        <button type="submit" class="btn btn-sm btn-danger delete" title="Obriši">
                            <i class="fas fa-trash-alt"></i>
                        </button>
                    </form>
                </td>
            </tr>
        }
    </tbody>
</table>
